USE [COWS]
GO

CREATE TABLE [dbo].[CPE_CLLI]
( 
	[CPE_CLLI_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CLLI_ID]      VARCHAR(11)  		NOT NULL,
	--[NTWK_SITE_CD]		[varchar](255)   NULL,
	[SITE_NME]		[varchar](255)   NULL,
	--[CASCD_ID]		varchar(255)  	 NULL,
	--[SITE_ID]		[varchar](255)  	NULL,
	[ADDR_TXT]		[varchar](255)  	NOT NULL,
	[STT_ID]		[CHAR](2)  	NOT NULL,
	[CITY_NME]		[varchar](255)  	NOT NULL,
	[ZIP_CD]		[varchar](10)  	NOT NULL,
	[COUNTY_NME]		VARCHAR(255)  	NULL,
	[CMNTY_NME]		VARCHAR(255)  	NULL,
	[FLR]			VARCHAR(100)    NULL,
	[ROOM]			VARCHAR(100)    NULL,
	[LTTDE_COORD]   VARCHAR(255)    NULL,
	[LNGDE_COORD]   VARCHAR(255)    NULL,
	[SITE_OWNR]		VARCHAR(255)    NULL,
	[SPRNT_OWND_CD]	BIT	NOT NULL,
    [SITE_PURPOSE]	VARCHAR(255)	NOT NULL,
	--[CXR_CD]		VARCHAR(255)    NULL,
	--[SWC_NPA]		VARCHAR(255)    NULL,
	[SITE_PHN]		VARCHAR(255)    NULL,
	[CMNT_TXT]		VARCHAR(MAX)	NULL,
	[EMAIL_CC]		VARCHAR(MAX)	NULL,
	[PSOFT_UPD_DT]	DATETIME NULL,
	[SSTAT_UPD_DT]	DATETIME NULL,
	[PSOFT_SEND_CD]  BIT NOT NULL,
	[REC_STUS_ID] 	TINYINT 	NOT NULL CONSTRAINT [DF_CPE_CLLI_RECSTUSID_1] DEFAULT ((1)),
	[CPE_CLLI_STUS_ID]	SMALLINT	NOT NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_CPE_CLLI_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPE_CLLI] PRIMARY KEY CLUSTERED 
(
	[CPE_CLLI_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER TABLE [dbo].[CPE_CLLI]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPE_CLLI] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPE_CLLI] CHECK CONSTRAINT [FK01_CPE_CLLI]
GO

ALTER TABLE [dbo].[CPE_CLLI]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPE_CLLI] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPE_CLLI] CHECK CONSTRAINT [FK02_CPE_CLLI]
GO

ALTER TABLE [dbo].[CPE_CLLI]  WITH NOCHECK ADD  CONSTRAINT [FK03_CPE_CLLI] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[CPE_CLLI] CHECK CONSTRAINT [FK03_CPE_CLLI]
GO

ALTER TABLE [dbo].[CPE_CLLI]  WITH NOCHECK ADD  CONSTRAINT [FK04_CPE_CLLI] FOREIGN KEY([CPE_CLLI_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[CPE_CLLI] CHECK CONSTRAINT [FK04_CPE_CLLI]
GO

--Check with Peggy, duplicates in conversion file
-- ALTER TABLE [dbo].[CPE_CLLI] ADD CONSTRAINT UK_CPE_CLLI_CLLI_ID UNIQUE (CLLI_ID)
-- GO
